<?php defined('C5_EXECUTE') or die("Access Denied.");
$navigationTypeText = ($navigationType == 0) ? 'arrows' : 'pages';
$c = Page::getCurrentPage();
if ($c->isEditMode()) { ?>
    <div class="ccm-edit-mode-disabled-item" style="width: <?php echo $width; ?>; height: <?php echo $height; ?>">
        <div style="padding: 40px 0px 40px 0px"><?php echo t('Image Slider disabled in edit mode.')?></div>
    </div>
<?php  } else { ?>
<script>
$(document).ready(function(){
    $(function () {
        $("#ccm-image-slider-<?php echo $bID ?>").responsiveSlides({
            prevText: "",   // String: Text for the "previous" button
            nextText: "",
            <?php if($navigationType == 0) { ?>
            nav:true
            <?php } else { ?>
            pager: true
            <?php } ?>
        });
    });
});
</script>


      <div id="full-width-slider" class="royalSlider rsMinW">

        <?php if(count($rows) > 0) { ?>
       
            <?php foreach($rows as $row) { ?>
                <div class="rsContent">
                <?php
                $f = File::getByID($row['fID'])
                ?>
                <?php if(is_object($f)) {
                    $tag = Core::make('html/image', array($f, false))->getTag();
					$tag->class("rsImg");
                    if($row['title']) {
                    	$tag->alt($row['title']);
                    }else{
                    	$tag->alt("slide"); 
                    }
                    print $tag; ?>
                <?php } ?>
                <div class="infoBlock">
                    <?php if($row['title']) { ?>
                    	<h4><?php echo $row['title'] ?></h4>
                    <?php } ?>
                    <p><?php echo $row['description'] ?></p>
                </div>
                
                </div><!-- End Slide -->
            <?php } ?>
        <?php } else { ?>
        <div class="ccm-image-slider-placeholder">
            <p><?php echo t('No Slides Entered.'); ?></p>
        </div>
        <?php } ?>
        </div><!-- End Full Width Slider -->

<?php } ?>
